retro(1)

NAME

retro - a stack-based language

SYNOPSIS

retro [options]

DESCRIPTION

Retro is a concatenative, stack-based language with roots in Forth.

--image filename
    Use filename as the image file to load/save

--shrink
    Only save the used portion of the image. This reduces file size significantly.

--with filename
    Add filename to the input stack

--stats
    Display statistics on opcodes processed upon exit

REPORTING BUGS

Send bug reports to Charles Childers <crc@rx-core.org>

COPYRIGHT

Copyright (c) 2008 - 2011, Charles Childers, Luke Parrish, Marc Simpson, Jay Skeer, JGL, Marc Simpson, Greg Copeland, Aleksej Saushev, Foucist, Erturk Kocalar, Kenneth Keating

Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.